Page MenuHomePhabricator

Allow Feedback from within the RevisionSlider
Closed, ResolvedPublic1 Story Points

Description

Problem: Currently, people who want to give feedback about the RevisionSlider need to navigate to the Extension discussion page[1]. This might not be clear to everyone.

Task: Add another sentence to the first page of the RevisionSlider manual that is hidden behind the help icon.
Current text:

The RevisionSlider helps you to navigate and compare revisions on the diff page. It is based on a community wish from the German-speaking community technical wishlist.

New text

The RevisionSlider helps you to navigate and compare revisions on the diff page. It is based on a community wish from the German-speaking community technical wishlist. Feedback is very much appreciated here.

"here" should be a link to [1], opening it in another tab.

Background:
This is part of adding the revision slider to the revision diff page. The revision slider is a feature that adds a visualization of all revisions to the compare screen.
The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

[1] https://www.mediawiki.org/wiki/Extension_talk:RevisionSlider

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2016, 12:58 PM

Change 303796 had a related patch set uploaded (by WMDE-leszek):
Add link to extension talk page to the help popup

https://gerrit.wikimedia.org/r/303796

WMDE-leszek triaged this task as Normal priority.
WMDE-leszek moved this task from Proposed to Review on the TCB-Team-Sprint-2016-08-02 board.
WMDE-leszek set the point value for this task to 1.Aug 9 2016, 1:11 PM

Change 303796 merged by jenkins-bot:
Add link to extension talk page to the help popup

https://gerrit.wikimedia.org/r/303796

Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.Aug 10 2016, 3:34 PM
WMDE-leszek closed this task as Resolved.Aug 31 2016, 12:07 PM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:49 PM